API Reference
Documents · Get and delete
GET and DELETE /api/v1/documents/{doc_id} — read or remove one document.
Pass the collection as a query parameter alongside the id.
GET
APIKeyHeaderheader
X-API-Key<token>doc_id*Doc Idtenant_id*Tenant Idcollection*CollectionSuccessful Response
application/json- response
indexed?boolean|nullid*Idtenant_id*Tenant Idfleet_id*string|nullcollection*Collectiondoc_id*Doc Iddata*created_at*|nullupdated_at*|nullagent_id?string|nullcurl -X GET 'https://example.com/api/v1/documents/string?tenant_id=string&collection=string'Example Response
{ "indexed": true, "id": "string", "tenant_id": "string", "fleet_id": "string", "collection": "string", "doc_id": "string", "data": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "agent_id": "string"}DELETE
APIKeyHeaderheader
X-API-Key<token>doc_id*Doc Idtenant_id*Tenant Idcollection*CollectionSuccessful Response
curl -X DELETE 'https://example.com/api/v1/documents/string?tenant_id=string&collection=string'Example Response
Empty